VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX:
[legend]

## Public Member Functions

| CmdReserveSpaceForCommandsInfoNVX (ObjectTableNVX objectTable_=ObjectTableNVX(), IndirectCommandsLayoutNVX indirectCommandsLayout_=IndirectCommandsLayoutNVX(), uint32_t maxSequencesCount_=0)
| CmdReserveSpaceForCommandsInfoNVX (VkCmdReserveSpaceForCommandsInfoNVX const &rhs)
CmdReserveSpaceForCommandsInfoNVX & | operator= (VkCmdReserveSpaceForCommandsInfoNVX const &rhs)
CmdReserveSpaceForCommandsInfoNVX & | setPNext (const void *pNext_)
CmdReserveSpaceForCommandsInfoNVX & | setObjectTable (ObjectTableNVX objectTable_)
CmdReserveSpaceForCommandsInfoNVX & | setIndirectCommandsLayout (IndirectCommandsLayoutNVX indirectCommandsLayout_)
CmdReserveSpaceForCommandsInfoNVX & | setMaxSequencesCount (uint32_t maxSequencesCount_)
| operator VkCmdReserveSpaceForCommandsInfoNVX const & () const
| operator VkCmdReserveSpaceForCommandsInfoNVX & ()
bool | operator== (CmdReserveSpaceForCommandsInfoNVX const &rhs) const
bool | operator!= (CmdReserveSpaceForCommandsInfoNVX const &rhs) const

## Data Fields

const void * | pNext = nullptr
ObjectTableNVX | objectTable
IndirectCommandsLayoutNVX | indirectCommandsLayout
uint32_t | maxSequencesCount

## Private Attributes

StructureType | sType = StructureType::eCmdReserveSpaceForCommandsInfoNVX

## Detailed Description

Definition at line 13048 of file vulkan.hpp.

## Constructor & Destructor Documentation

## CmdReserveSpaceForCommandsInfoNVX() [1/2]

VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::CmdReserveSpaceForCommandsInfoNVX | ( | ObjectTableNVX | objectTable_ = `ObjectTableNVX()`,
|  | IndirectCommandsLayoutNVX | indirectCommandsLayout_ = `IndirectCommandsLayoutNVX()`,
|  | uint32_t | maxSequencesCount_ = `0`
| ) |  |

inline

Definition at line 13050 of file vulkan.hpp.

: objectTable( objectTable_ )
, indirectCommandsLayout( indirectCommandsLayout_ )
, maxSequencesCount( maxSequencesCount_ )
{
}

## CmdReserveSpaceForCommandsInfoNVX() [2/2]

VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::CmdReserveSpaceForCommandsInfoNVX | ( | VkCmdReserveSpaceForCommandsInfoNVX const & | rhs | ) |

inline

Definition at line 13059 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CmdReserveSpaceForCommandsInfoNVX ) );
}

References memcpy.

## Member Function Documentation

## operator VkCmdReserveSpaceForCommandsInfoNVX &()

VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::operator VkCmdReserveSpaceForCommandsInfoNVX & | ( |  | ) |

inline

Definition at line 13098 of file vulkan.hpp.

{
return *reinterpret_cast<VkCmdReserveSpaceForCommandsInfoNVX*>(this);
}

## operator VkCmdReserveSpaceForCommandsInfoNVX const &()

VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::operator VkCmdReserveSpaceForCommandsInfoNVX const & | ( |  | ) | const

inline

Definition at line 13093 of file vulkan.hpp.

{
return *reinterpret_cast<const VkCmdReserveSpaceForCommandsInfoNVX*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::operator!= | ( | CmdReserveSpaceForCommandsInfoNVX const & | rhs | ) | const

inline

Definition at line 13112 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

CmdReserveSpaceForCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::operator= | ( | VkCmdReserveSpaceForCommandsInfoNVX const & | rhs | ) |

inline

Definition at line 13064 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CmdReserveSpaceForCommandsInfoNVX ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::operator== | ( | CmdReserveSpaceForCommandsInfoNVX const & | rhs | ) | const

inline

Definition at line 13103 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( objectTable == rhs.objectTable )
&& ( indirectCommandsLayout == rhs.indirectCommandsLayout )
&& ( maxSequencesCount == rhs.maxSequencesCount );
}

References indirectCommandsLayout, maxSequencesCount, objectTable, pNext, and sType.

Referenced by operator!=().

## setIndirectCommandsLayout()

CmdReserveSpaceForCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::setIndirectCommandsLayout | ( | IndirectCommandsLayoutNVX | indirectCommandsLayout_ | ) |

inline

Definition at line 13081 of file vulkan.hpp.

{
indirectCommandsLayout = indirectCommandsLayout_;
return *this;
}

References indirectCommandsLayout.

## setMaxSequencesCount()

CmdReserveSpaceForCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::setMaxSequencesCount | ( | uint32_t | maxSequencesCount_ | ) |

inline

Definition at line 13087 of file vulkan.hpp.

{
maxSequencesCount = maxSequencesCount_;
return *this;
}

References maxSequencesCount.

## setObjectTable()

CmdReserveSpaceForCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::setObjectTable | ( | ObjectTableNVX | objectTable_ | ) |

inline

Definition at line 13075 of file vulkan.hpp.

{
objectTable = objectTable_;
return *this;
}

References objectTable.

## setPNext()

CmdReserveSpaceForCommandsInfoNVX& VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 13069 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## indirectCommandsLayout

IndirectCommandsLayoutNVX VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::indirectCommandsLayout

Definition at line 13123 of file vulkan.hpp.

Referenced by operator==(), and setIndirectCommandsLayout().

## maxSequencesCount

uint32_t VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::maxSequencesCount

Definition at line 13124 of file vulkan.hpp.

Referenced by operator==(), and setMaxSequencesCount().

## objectTable

ObjectTableNVX VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::objectTable

Definition at line 13122 of file vulkan.hpp.

Referenced by operator==(), and setObjectTable().

## pNext

const void* VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::pNext = nullptr

Definition at line 13121 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::sType = StructureType::eCmdReserveSpaceForCommandsInfoNVX

private

Definition at line 13118 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::indirectCommandsLayout
IndirectCommandsLayoutNVX indirectCommandsLayout
Definition: vulkan.hpp:13123
VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::operator==
bool operator==(CmdReserveSpaceForCommandsInfoNVX const &rhs) const
Definition: vulkan.hpp:13103
VkCmdReserveSpaceForCommandsInfoNVX
Definition: vulkan_core.h:6861
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::CmdReserveSpaceForCommandsInfoNVX
CmdReserveSpaceForCommandsInfoNVX(ObjectTableNVX objectTable_=ObjectTableNVX(), IndirectCommandsLayoutNVX indirectCommandsLayout_=IndirectCommandsLayoutNVX(), uint32_t maxSequencesCount_=0)
Definition: vulkan.hpp:13050
VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::sType
StructureType sType
Definition: vulkan.hpp:13118
VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::objectTable
ObjectTableNVX objectTable
Definition: vulkan.hpp:13122
VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::pNext
const void * pNext
Definition: vulkan.hpp:13121
VULKAN_HPP_NAMESPACE::CmdReserveSpaceForCommandsInfoNVX::maxSequencesCount
uint32_t maxSequencesCount
Definition: vulkan.hpp:13124